module Env(Env(..), emptyEnv, updEnv) where

import Basic
import Val

-- Environments.
-- Ranged over by env.

type Env = Id -> Val


emptyEnv i = error ("Identifier " ++ i ++ " not bound.")


updEnv :: [(Id, Val)] -> Env -> Env
updEnv bs env = updEnv_Lambda1 bs env

updEnv_Lambda1 bs env i = case lookup i bs of
		              Nothing -> env i
		              Just a  -> a
