/*****************************************************************************
 *                  F R E J A   R U N T I M E   S Y S T E M                  *
 *									     *
 *	Name:		Obj Types					     *
 *	File name:	obj_types.h				             *
 *	Purpose:	Object types. Used by RTS and debugger.     	     *
 *	Programmer:	Henrik Nilsson					     *
 *	Version:	1.1						     *
 *	Date:		1999/02/24					     *
 *									     *
 *****************************************************************************/

#ifndef _OBJ_TYPES_H
#define _OBJ_TYPES_H

#define	OT_FUN 0
#define	OT_IND 1
#define	OT_AP 2
#define	OT_VAP 3
#define OT_ZAP 4
#define OT_HOLE 5
#define	OT_ENM 100
#define OT_CHR 101
#define	OT_INT 102
#define	OT_DBL 103
#define	OT_CON 104
#define OT_TUPLE 105
#define	OT_NULL 106
#define	OT_CONS 107
#define	OT_STR 108
#define	OT_DSTR 109
#define	OT_BVEC 110
#define OT_FWD 200
#define OT_RLC_N_2 201
#define OT_RLC_X 202
#define OT_BOTTOM 999

#endif
