module Basic (Name(..), Id(..), fix) where

-- Names of system primitives and constructors.
-- Ranged over by n.

data Name = 'True'
	  | 'False'
	  | 'Null'
	  | 'Cons'
	  | 'neg'
	  | '+ '
	  | '- '
 	  | '* '
	  | '/ '
	  | 'mod'
	  | 'not'
	  | '< '
	  | '<='
	  | '=='
	  | '/='
	  | '>='
	  | '> '
	  | 'head'
	  | 'tail'
	  | 'null'
	  | 'if'
	  -- deriving (Show, Eq)

-- Identifiers. 
-- Ranged over by i.

type Id = String


-- Fixed point combinator.
fix f = x where x = f x
