module Main where

-- sieve (x:xs) = x : sieve [ y | y <- xs, y `mod` x /= 0 ]


-- sieve (x : xs) = x : sieve (filter ((/= 0) . (`mod` x)) xs)

sieve :: [Int] -> [Int]
sieve (x : xs) = x : sieve (filter (not_div x) xs)

not_div :: Int -> Int -> Bool
not_div x y = y `mod` x /= 0

primes = sieve [2..]

main = show (primes !! 2500) ++ "\n"
