/*****************************************************************************
 *                  F R E J A   R U N T I M E   S Y S T E M                  *
 *									     *
 *	Name:		RTS Defs 1					     *
 *	File name:	rts_defs1.h				             *
 *	Purpose:	Common definitions for rts_defs.h and rts.h,   	     *
 *			i.e. the assembler and the C RTS include files.	     *
 *	Programmer:	Henrik Nilsson					     *
 *	Version:	1.1						     *
 *	Date:		1999/02/24					     *
 *									     *
 *****************************************************************************/

#ifndef _RTS_DEFS1_H
#define _RTS_DEFS1_H

/* Special PIDs. Do not change!
 * The tracer and various parts of the compiler depends on these values.
 * E.g. must agree with debugger definitions such as NOT_EDT_ROOT, EDT_ROOT
 * in tracer.c.
 */

#define NO_PARENT 0
#define SOME_PARENT 1


/* Enable/disable collection of statistics, printing of diagnostics, etc. */
	
#define GC_PROFILING 1

#endif
