/*****************************************************************************
 *                  F R E J A   R U N T I M E   S Y S T E M                  *
 *									     *
 *	Name:		Trace Classes					     *
 *	File name:	trace_classes.h				             *
 *	Purpose:	Definition of the race classes. Used by RTS and the  *
 *			debugger.					     *
 *	Programmer:	Henrik Nilsson					     *
 *	Version:	1.1						     *
 *	Date:		1999/02/24					     *
 *									     *
 *****************************************************************************/

#ifndef _TRACE_CLASSES_H
#define _TRACE_CLASSES_H

#define TC_UNTRACED 0
#define TC_TRACED 1
#define TC_INV_REC 2
#define TC_INVISIBLE 3

#endif
